# qtdata

[`qtdata`](https://github.com/rchardzhu/qtdata) 是由个人打造的用于获取A股、港美股、期货、区块链数据的免费开源 Python 库，它统一适配各种量化数据源，输出pandas格式数据，既可以直接使用，也可以从本地行情数据库存取， 使用它你可以很方便地获取数据而不用对接各种数据源。

## 背景
量化数据源众多，参考https://github.com/rchardzhu/awesome-quant-cn

金融数据是量化的基础，没有数据量化就无从下手。随着行业竞争加剧，量化对高质量—更快更全更准数据的要求更高，毕竟搞量化不能输在起跑线上。
各种数据源格式各不相同，qtdata希望能够把各种数据源统一起来，大家只需要按照qtdata lib库就好。
qtdata预计实现的功能：
* 适配各类数据源，对量化感兴趣的同学只使用一套代码库就可以使用各种数据
* 输出为pandas格式，方便直接使用
* 可以存储到本地行情库，也可以从本地行情库读取


## 安装

- 通过 `pip` 安装

```bash
pip install qtdata
```

- 通过 `pip` 更新

```bash
pip install qtdata --upgrade
```


## 量化数据源分类
量化数据源分为如下几种： 开源量化数据、券商/量化交易平台提供的数据源、专业数据服务公司和自己抓取清洗几种方式。
* 开源量化数据：通过抓取各类财经网站或公开的金融数据，进行清洗加工存储后开放出来，为量化学习者提供金融数据需求。 如BaoStock, tushare, akshare, yfinance, easyquotation, efinance
* 券商/量化交易平台： 聚宽数据JQData, rqdata, tqsdk, futu
* 专业数据服务公司：万得Wind Data Service数据服务, ifind, choice数据, 彭博bloomberg数据服务
* 自己抓取&清洗数据：编程能力好且有时间的朋友，也可以自己抓取和清洗数据。好处是数据质量有保障，可以按照自己要求来进行处理；缺点是对编程能力有一定要求，且比较费时间人力。比较常见的是对特定数据当上面的数据源无法覆盖时，可以自己抓取补充。


## 交流
现在各种量化数据源五花八门，发现很多朋友对这块不是很清楚，个人也在上面花了不少时间，希望能跟大家一起共同优化qtdata，感兴趣的朋友可以加群一起交流。 关注公众号获取邀请链接，微信公众号：诸葛说talk
加群福利：
* 可以一起交流想法
* 可以一起贡献代码
* 可以优先开发想要的功能
* 可以解决技术难题